Hello Everyone ! Pl...
 
Notifications
Clear all

Hello Everyone ! Plz, I Need Help Installing on Parrot OS  

Page 1 / 2
  RSS

Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
26/05/2019 6:53 pm  

Hello All,

I have parrot OS installed on an MSI gaming laptop and have been trying now for some time to figure out why CIn will not install on my system.  Can some one maybe direct me to the right link or provide all the command lines I would need to get this up and going on my parrot os system?   Also,  I have many other linux distros that I am exploring at the moment, one which I think I'm liking called mx LINUX.    

I'm desperately trying to get away from EVER having to use windows again (after windows 10 deleted a few of my HDDs partitions automatically)-  I'm trying to get away from apple as well. 

 


Quote
phylsmith2004
(@phylsmith2004)
Estimable Member
Joined: 2 years ago
Posts: 126
26/05/2019 7:42 pm  

From what I read on wikipedia, Parrot is based on Debian 10 / Buster.  We do not currently have a Cinelerra build for Debian 10 and in fact have just done a basic install just this morning.  With already so many O/S distros, we can not create a Parrot test system.  Questions for you:

1) do you think a tar or package build created on Buster will work on Parrot?  if so we may be able to create a test one but not today yet.

2) have you tried to install the simple tar build created for Debian 9? at: https://www.cinelerra-gg.org/download/tars/cinelerra-5.1-debian9-20190430.x86_64-static.txz

Instructions for trying the tar install are easy:

cd /path        # path is directory path of where you want to put it
mkdir cin
cd cin
tar -xJf /src/path/cinelerra-5.1-*.txz  # for the *, substitute your distro tarball name

Let us know if the tar works, if a Buster build is likely to work, or what errors you get when doing either one.  You can obviously also build from scratch and this is documented in the Installation chapter of the manual at:

https://www.cinelerra-gg.org/download/CinelerraGG_manual.pdf

 


ReplyQuote
andreapaz
(@andreapaz)
Estimable Member
Joined: 2 years ago
Posts: 227
27/05/2019 1:35 pm  

Hi,

If you did as in:

https://www.cinelerra-gg.org/debian-package/

but it doesn't work; it could be a licensing issue. Try the following instructions:

# VIP - for the first install, the above line adds cinelerra to /etc/apt/sources.list but...
# Debian stretch and jessie are more strict for licensing so you will have to edit
# the file /etc/apt/sources.list to add [trusted=yes] after deb and before https...cin...
# For example for debian9: deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
apt update
apt install cin

ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 1:30 pm  

Hello again,

Thank you for that quick reply. I was looking at my email I provided to see if anyone had gotton back to me and didn't see anything until I actually came to look here.

-Anyway I am going to try this again one more time on parrot and report back.

-Also I am running MX Linux.  ( I'm new to linux so please excuse my ignorance) I am also trying to install on this distro and have no luck.  Here is ,my output; 

[email protected]:~
$ apt install software-properties-common apt-transport-https
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
[email protected]:~
$ sudo apt install software-properties-common apt-transport-https
[sudo] password for Oscar:
Reading package lists... Done
Building dependency tree
Reading state information... Done
apt-transport-https is already the newest version (1.4.9).
apt-transport-https set to manually installed.
The following additional packages will be installed:
python3-pycurl python3-software-properties
Suggested packages:
libcurl4-gnutls-dev python-pycurl-doc python3-pycurl-dbg
Recommended packages:
packagekit
The following NEW packages will be installed:
python3-pycurl python3-software-properties software-properties-common
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 194 kB of archives.
After this operation, 769 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ftp.us.debian.org/debian stretch/main amd64 python3-pycurl amd64 7.43.0-2 [61.3 kB]
Get:2 http://ftp.us.debian.org/debian stretch/main amd64 python3-software-properties all 0.96.20.2-1 [49.5 kB]
Get:3 http://ftp.us.debian.org/debian stretch/main amd64 software-properties-common all 0.96.20.2-1 [83.6 kB]
Fetched 194 kB in 0s (557 kB/s)
Selecting previously unselected package python3-pycurl.
(Reading database ... 266531 files and directories currently installed.)
Preparing to unpack .../python3-pycurl_7.43.0-2_amd64.deb ...
Unpacking python3-pycurl (7.43.0-2) ...
Selecting previously unselected package python3-software-properties.
Preparing to unpack .../python3-software-properties_0.96.20.2-1_all.deb ...
Unpacking python3-software-properties (0.96.20.2-1) ...
Selecting previously unselected package software-properties-common.
Preparing to unpack .../software-properties-common_0.96.20.2-1_all.deb ...
Unpacking software-properties-common (0.96.20.2-1) ...
Setting up python3-pycurl (7.43.0-2) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up python3-software-properties (0.96.20.2-1) ...
Processing triggers for dbus (1.10.26-0+deb9u1) ...
Setting up software-properties-common (0.96.20.2-1) ...
Processing triggers for dbus (1.10.26-0+deb9u1) ...
[email protected]:~
$ apt-add-repository https://cinelerra-gg.org/download/pkgs/debian9
Error: must run as root
[email protected]:~
$ sudo apt-add-repository https://cinelerra-gg.org/download/pkgs/debian9
WARNING:root:could not open file '/etc/apt/sources.list'

WARNING:root:could not open file '/etc/apt/sources.list'

Traceback (most recent call last):
File "/usr/bin/apt-add-repository", line 95, in <module>
sp = SoftwareProperties(options=options)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
self.reload_sourceslist()
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 93, in get_sources
(self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for MX/Continuum
[email protected]:~
$ deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
bash: deb: command not found
[email protected]:~
$ apt update
Reading package lists... Done
W: chmod 0700 of directory /var/lib/apt/lists/partial failed - SetupAPTPartialDirectory (1: Operation not permitted)
E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
W: Problem unlinking the file /var/cache/apt/pkgcache.bin - RemoveCaches (13: Permission denied)
W: Problem unlinking the file /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Permission denied)
[email protected]:~
$ apt upgrade cin
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
[email protected]:~
$ sudo apt update
Get:1 http://security.debian.org stretch/updates InRelease [94.3 kB]
Get:2 http://ftp.us.debian.org/debian stretch-updates InRelease [91.0 kB]
Hit:3 http://la.mxrepo.com/antix/stretch stretch InRelease
Get:4 http://mirrors.rit.edu/mxlinux/mx-packages/mx/repo stretch InRelease [8,136 B]
Ign:5 http://ftp.us.debian.org/debian stretch InRelease
Hit:6 http://ftp.us.debian.org/debian stretch Release
Get:7 http://mirrors.rit.edu/mxlinux/mx-packages/mx/repo stretch/main amd64 Packages [524 kB]
Get:9 http://mirrors.rit.edu/mxlinux/mx-packages/mx/repo stretch/main i386 Packages [512 kB]
Fetched 1,230 kB in 0s (1,286 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
[email protected]:~
$ apt upgrade cin

 


ReplyQuote
phylsmith2004
(@phylsmith2004)
Estimable Member
Joined: 2 years ago
Posts: 126
29/05/2019 2:12 pm  

(your email address does not really show up here so you do not get spammed, I think)

Good/worked -- sudo apt install software-properties-common apt-transport-https

Bad -- sudo apt-add-repository https://cinelerra-gg.org/download/pkgs/debian9

This is the error message -- WARNING:root:could not open file '/etc/apt/sources.list' -- But I am not sure how this file even gets created and am hoping Andrea or a Debian expert knows.  But maybe if you create it and add the line as directed below, you will get further to a new error message.  HOWEVER, parrot is not Debian, so I am dubious.  Best to post the log like you did because seeing this shows the first error which is the real error.

Then for Debian 9, edit the file /etc/apt/sources.list to make sure the added line contains [trusted=yes] as shown below:

deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main

Final 2 steps assuming the above works:

sudo apt update
sudo apt install cin

 


ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 2:26 pm  

...Ok well that output is for MX linux...I'm trying to see if it will install in one and not the other as I struggle to get familiar here.   I again tried with MX and no success. I'm not sure what you mean by having to edit.  Don't I just copy and paste the command as is?

 

Here is my last attempt just a minute ago on MX ; 

[email protected]:~
$ cd /path
bash: cd: /path: No such file or directory
[email protected]:~
$ mkdir cin
[email protected]:~
$ cd cin
[email protected]:~/cin
$ tar -xJf /src/path/cinelerra-5.1-*.txz # as shown in ./tars for distro
tar (child): /src/path/cinelerra-5.1-*.txz: Cannot open: No such file or directory
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now
[email protected]:~/cin
$ apt install software-properties-common apt-transport-https
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
[email protected]:~/cin
$ sudo apt install software-properties-common apt-transport-https
[sudo] password for Oscar:
Reading package lists... Done
Building dependency tree
Reading state information... Done
apt-transport-https is already the newest version (1.4.9).
software-properties-common is already the newest version (0.96.20.2-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~/cin
$ apt-add-repository https://cinelerra-gg.org/download/pkgs/debian9
Error: must run as root
[email protected]:~/cin
$ Sudo apt-add-repository https://cinelerra-gg.org/download/pkgs/debian9
bash: Sudo: command not found
[email protected]:~/cin
$ deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
bash: deb: command not found
[email protected]:~/cin
$ sudo deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
sudo: deb: command not found
[email protected]:~/cin

 


ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 4:28 pm  

Last few tries, nothing; [email protected]:~/cin
$ sudo deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
sudo: deb: command not found
[email protected]:~/cin
$
[email protected]:~/cin
$ deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
bash: deb: command not found
[email protected]:~/cin
$ sudo deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
[sudo] password for Oscar:
sudo: deb: command not found
[email protected]:~/cin
$ sudo apt-add-repository deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9
Error: need a single repository as argument
[email protected]:~/cin


ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 4:45 pm  

Ok.... So I'm really stuck here.  I have been trying all morning and this is really difficult.  Why is this so difficult?  I was really hoping to have a good system set up here.  I guess for the moment I'm going to plug in my Ubuntu drive and just see if it will install there.  I really hate to have to revert back to a distro that is so over commercialized right now.

Can someone please help me out here, I'm not a coder I am a noob and just want get this program up and running !


ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 5:28 pm  

Well, I had no issue what so ever  installing on Ubuntu !   It installed very quickly !


ReplyQuote
phylsmith2004
(@phylsmith2004)
Estimable Member
Joined: 2 years ago
Posts: 126
29/05/2019 6:40 pm  

Artisto: I looked up your email and replied to you there.  Please check your spam email too.  I tried to outline the steps for Parrot and MxLinux as carefully as possible since you are a "noob" and I hope that works.  Parrot and MxLinux are security conscious operating systems and may present additional problems but we are interested in hearing if you can get them to work for Cinelerra.


ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 7:43 pm  

Tried to follow the Cin-gg manual and still no luck...

here is my output; 

[email protected]:/home/Oscar# apt install software-properties-common apt-transport-https
Reading package lists... Done
Building dependency tree
Reading state information... Done
apt-transport-https is already the newest version (1.4.9).
software-properties-common is already the newest version (0.96.20.2-1).
The following packages were automatically installed and are no longer required:
kded5 kdenlive-data kinit kio libdbusmenu-qt5-2 libebur128-1 libfam0 libkf5archive5
libkf5attica5 libkf5auth-data libkf5auth5 libkf5bookmarks-data libkf5bookmarks5
libkf5codecs-data libkf5codecs5 libkf5completion-data libkf5completion5 libkf5config-data
libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5
libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-data libkf5dbusaddons5
libkf5filemetadata-data libkf5filemetadata3 libkf5globalaccel-data libkf5globalaccel5
libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5
libkf5itemviews-data libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kiocore5
libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5 libkf5newstuff-data libkf5newstuff5
libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5
libkf5service-bin libkf5service-data libkf5service5 libkf5solid5 libkf5solid5-data
libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5 libkf5textwidgets-data libkf5textwidgets5
libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5widgetsaddons-data libkf5widgetsaddons5
libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 libkwalletbackend5-5
libmlt++3 libmlt-data libmlt6 libmovit5 libphonon4qt5-4 libpolkit-qt5-1-1 librtaudio5a melt
oxygen-icon-theme phonon4qt5 phonon4qt5-backend-vlc qml-module-qtgraphicaleffects
qml-module-qtquick-controls qml-module-qtquick-layouts qml-module-qtquick-window2
qml-module-qtquick2
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:/home/Oscar# apt-add-repository https://cinelerra-cv.org/five/pkgs/debian
WARNING:root:could not open file '/etc/apt/sources.list'

WARNING:root:could not open file '/etc/apt/sources.list'

Traceback (most recent call last):
File "/usr/bin/apt-add-repository", line 95, in <module>
sp = SoftwareProperties(options=options)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
self.reload_sourceslist()
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 93, in get_sources
(self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for MX/Continuum
[email protected]:/home/Oscar# apt update
Hit:1 http://ftp.us.debian.org/debian stretch-updates InRelease
Hit:2 http://la.mxrepo.com/antix/stretch stretch InRelease
Hit:3 http://mirrors.rit.edu/mxlinux/mx-packages/mx/repo stretch InRelease
Hit:4 http://security.debian.org stretch/updates InRelease
Ign:5 http://ftp.us.debian.org/debian stretch InRelease
Hit:6 http://ftp.us.debian.org/debian stretch Release
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
[email protected]:/home/Oscar# deb [trusted=yes] https://cinelerra-cv.org/five/pkgs/debian stretch main
bash: deb: command not found
[email protected]:/home/Oscar# apt upgrade cin
Reading package lists... Done
Building dependency tree
Reading state information... Done
cin:i386 is already the newest version (1:5.1.20190430).
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
kded5 kdenlive-data kinit kio libdbusmenu-qt5-2 libebur128-1 libfam0 libkf5archive5
libkf5attica5 libkf5auth-data libkf5auth5 libkf5bookmarks-data libkf5bookmarks5
libkf5codecs-data libkf5codecs5 libkf5completion-data libkf5completion5 libkf5config-data
libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5
libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-data libkf5dbusaddons5
libkf5filemetadata-data libkf5filemetadata3 libkf5globalaccel-data libkf5globalaccel5
libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5
libkf5itemviews-data libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kiocore5
libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5 libkf5newstuff-data libkf5newstuff5
libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5
libkf5service-bin libkf5service-data libkf5service5 libkf5solid5 libkf5solid5-data
libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5 libkf5textwidgets-data libkf5textwidgets5
libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5widgetsaddons-data libkf5widgetsaddons5
libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 libkwalletbackend5-5
libmlt++3 libmlt-data libmlt6 libmovit5 libphonon4qt5-4 libpolkit-qt5-1-1 librtaudio5a melt
oxygen-icon-theme phonon4qt5 phonon4qt5-backend-vlc qml-module-qtgraphicaleffects
qml-module-qtquick-controls qml-module-qtquick-layouts qml-module-qtquick-window2
qml-module-qtquick2
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:/home/Oscar# ./blds/bld_prepare.sh <debian>./autogen.sh./configure --prefix=/usr
bash: debian: No such file or directory
[email protected]:/home/Oscar# cd /<build_path>/#git clone --depth 1 "git://git.cinelerra-gg.org/goodguy/cinelerra.git" cinelerra5 cd cinelerra5/cinelerra-5.1
bash: build_path: No such file or directory
[email protected]:/home/Oscar# ./blds/bld_prepare.sh <os> # where <os> represents the Operating System of centos, fedora, suse, leap, ubuntu, debian. ./autogen.sh ./configure --with-single-user make 2>&1 |tee log make installbash: syntax error near unexpected token `newline'
[email protected]:/home/Oscar# ./blds/bld_prepare.sh <debian>./autogen.sh./configure --with-single-user make 2>&1 |tee log make installbash: debian: No such file or directory
[email protected]:/home/Oscar#

 


ReplyQuote
phylsmith2004
(@phylsmith2004)
Estimable Member
Joined: 2 years ago
Posts: 126
29/05/2019 7:51 pm  

The error is still the lack of this file and I will try to look up for Parrot if it replaced by something else.  But check your email and try to use tar instead:  WARNING:root:could not open file '/etc/apt/sources.list'

When I look at the Parrot website, it seems to me BUT I AM JUST GUESSING, that parrot has the file named as: /etc/sources.list.d/parrot.list   with the contents as below:

When the Cinelerra package build for Debian is created it uses /etc/apt/sources.list instead.

deb https://deb.parrotsec.org/parrot stable main contrib non-free
    #deb-src https://deb.parrotsec.org/parrot stable main contrib non-free

This post was modified 1 year ago by phylsmith2004

ReplyQuote
Artisto
(@artisto)
Active Member
Joined: 1 year ago
Posts: 8
29/05/2019 9:35 pm  

Ok...  Yeah I forgot to mention  before I posted that I did indeed try the .tar file also and that didn't work.


ReplyQuote
phylsmith2004
(@phylsmith2004)
Estimable Member
Joined: 2 years ago
Posts: 126
29/05/2019 10:04 pm  

I saw your tar command in the forum log awhile back and it reads:

$ tar -xJf /src/path/cinelerra-5.1-*.txz # as shown in ./tars for distro
tar (child): /src/path/cinelerra-5.1-*.txz: Cannot open: No such file or directory

That is an error, you need to substitute the real name instead of using * AND change the characters below that read /TMP to be the location of where you downloaded that file.

tar -xJf /TMP/cinelerra-5.1-debian9-20190430.x86_64-static.txz


ReplyQuote
phylsmith2004
(@phylsmith2004)
Estimable Member
Joined: 2 years ago
Posts: 126
30/05/2019 4:42 am  

Just an update since offline email was used to assist in installing on Parrot - a Debian based security Linux system.

Success! Artisto installed Cinelerra-GG by using the Debian 9 64-bit static tar and he sent a png file which displayed the 4 screens that show when he started up cin on his monitor.


ReplyQuote
Page 1 / 2
Share: